Package de.willuhn.jameica.hbci.server

# Class UmsatzImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.UmsatzImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `Checksum`, `Duplicatable<Umsatz>`, `Flaggable`, `HibiscusDBObject`, `HibiscusTransfer`, `Transfer`, `Umsatz`, `Serializable`, `Remote`

public class UmsatzImpl extends AbstractHibiscusDBObject implements Umsatz
Repraesentiert eine Zeile in den Umsaetzen.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Fields inherited from interface de.willuhn.jameica.hbci.rmi.Umsatz

`FLAG_CHECKED, FLAG_NONE, FLAG_NOTBOOKED`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
`Umsatz`
`duplicate()`
Dupliziert das Objekt.
`boolean`
`equals(de.willuhn.datasource.GenericObject o)`
Wir ueberschreiben die Funktion hier, weil beim Abrufen der Umsaetze nur diejenigen gespeichert werden sollen, welche noch nicht in der Datenbank existieren.
`String`
`getAddKey()`
Liefert die 3-stellige Textschluessel-Ergaenzung.
`String`
`getArt()`
Liefert einen Text, der die Art der Buchung beschreibt.
`Object`
`getAttribute(String arg0)`
Ueberschrieben, um ein synthetisches Attribute "mergedzweck" zu erzeugen.
`double`
`getBetrag()`
Liefert den Betrag.
`long`
`getChecksum()`
Liefert die Checksumme des Objektes.
`String`
`getCreditorId()`
Liefert die Gläubiger-ID des Gegenkontos.
`String`
`getCustomerRef()`
Liefert die Kundenreferenz.
`Date`
`getDatum()`
Liefert das Datum der Buchung.
`String`
`getEndToEndId()`
Liefert die EndToEnd-ID der Buchung.
`int`
`getFlags()`
Liefert ein Bit-Feld mit Flags.
`String`
`getGegenkontoBLZ()`
Liefert die BLZ des Gegenkontos.
`String`
`getGegenkontoName()`
Liefert den Namen des Kontoinhabers des Gegenkontos.
`String`
`getGegenkontoName2()`
Liefert den Namen des ultimativen Empfaengers.
`String`
`getGegenkontoNummer()`
Liefert die Kontonummer des Gegenkontos.
`String`
`getGvCode()`
Liefert den 3-stelligen Geschaeftsvorfall-Code.
`String`
`getKommentar()`
Liefert einen optionalen Kommentar, den der User zu dem Umsatz eintragen kann.
`Konto`
`getKonto()`
Liefert das Konto, ueber das bezahlt wurde.
`String`
`getMandateId()`
Liefert die Mandatsreferenz der Buchung.
`String`
`getPrimanota()`
Liefert das Primanota-Kennzeichen der Buchung.
`String`
`getPrimaryAttribute()`
`String`
`getPurposeCode()`
Liefert den Purpose-Code der Buchung.
`double`
`getSaldo()`
Liefert den Saldo des Kontos nach dieser Buchung.
`protected String`
`getTableName()`
`String`
`getTransactionId()`
Liefert eine optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann.
`UmsatzTyp`
`getUmsatzTyp()`
Liefert einen ggf manuell zugeordneten Umsatz-Typ oder `null` wenn keiner zugeordnet ist.
`Date`
`getValuta()`
Datum der Wert-Stellung.
`String[]`
`getWeitereVerwendungszwecke()`
Liefert eine Liste erweiterter Verwendungszwecke.
`String`
`getZweck()`
Liefert die Zeile 1 des Verwendungszwecks.
`String`
`getZweck2()`
Liefert die Zeile 2 des Verwendungszwecks.
`boolean`
`hasFlag(int flag)`
Prueft, ob das angegebene Flag vorhanden ist.
`void`
`insert()`
`protected void`
`insertCheck()`
`boolean`
`isAssigned()`
Liefert true, wenn der Umsatz einer Kategorie zugeordnet ist.
`void`
`setAddKey(String key)`
Speichert die 3-stellige Textschluessel-Ergaenzung.
`void`
`setArt(String art)`
Speichert einen Text, der die Art der Buchung beschreibt.
`void`
`setBetrag(double d)`
Speichert den zu ueberweisenden Betrag.
`void`
`setCreditorId(String name)`
Setzt die Gläubiger-ID des Gegenkontos.
`void`
`setCustomerRef(String ref)`
Speichert die Kundenreferenz.
`void`
`setDatum(Date d)`
Datum der Buchung.
`void`
`setEndToEndId(String id)`
Speichern die EndToEnd-ID der Buchung.
`void`
`setFlags(int flags)`
Speichert die Flags einen Objektes.
`void`
`setGegenkonto(Address e)`
Setzt alle drei oben genannten Gegenkonto-Eigenschaften auf einmal.
`void`
`setGegenkontoBLZ(String blz)`
Speichert die BLZ des Gegenkontos.
`void`
`setGegenkontoName(String name)`
Speichert den Namen des Kontoinhabers des Gegenkontos.
`void`
`setGegenkontoName2(String name)`
Setzt den Namen des ultimativen Empfaengers.
`void`
`setGegenkontoNummer(String konto)`
Speichert die Kontonummer des Gegenkontos.
`void`
`setGvCode(String code)`
Speichert den 3-stelligen Geschaeftsvorfall-Code.
`void`
`setKommentar(String kommentar)`
Speichert einen optionalen Kommentar zu dem Umsatz.
`void`
`setKonto(Konto k)`
Speichert das Konto, das zur Bezahlung verwendet werden soll.
`void`
`setMandateId(String id)`
Speichern die Mandatsreferenz der Buchung.
`void`
`setPrimanota(String primanota)`
Speichert das Primanota-Kennzeichen der Buchung.
`void`
`setPurposeCode(String code)`
Speichern den Purpose-Code der Buchung.
`void`
`setSaldo(double s)`
Speichert den Saldo des Kontos nach dieser Buchung.
`void`
`setTransactionId(String id)`
Speichert eine optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann.
`void`
`setUmsatzTyp(UmsatzTyp ut)`
Speichert einen manuell zugeordneten Umsatz-Typ.
`void`
`setValuta(Date d)`
Datum der Wertstellung.
`void`
`setWeitereVerwendungszwecke(String[] list)`
Speichert eine Liste erweiterter Verwendungszwecke.
`void`
`setZweck(String zweck)`
Speichert den Zweck der Ueberweisung.
`void`
`setZweck2(String zweck2)`
Speichert Zeile 2 des Verwendungszwecks.
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta, store`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### UmsatzImpl

public UmsatzImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### insert

public void insert() throws RemoteException, de.willuhn.util.ApplicationException

Overrides:
  `insert` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insert()`

### getKonto

public Konto getKonto() throws RemoteException
Description copied from interface: `HibiscusTransfer`
Liefert das Konto, ueber das bezahlt wurde.

Specified by:
  `getKonto` in interface `HibiscusTransfer`
Returns:
  Konto.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.getKonto()`

### getGegenkontoName

public String getGegenkontoName() throws RemoteException
Description copied from interface: `Transfer`
Liefert den Namen des Kontoinhabers des Gegenkontos.

Specified by:
  `getGegenkontoName` in interface `Transfer`
Returns:
  Name des Kontoinhabers des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getGegenkontoName()`

### getGegenkontoNummer

public String getGegenkontoNummer() throws RemoteException
Description copied from interface: `Transfer`
Liefert die Kontonummer des Gegenkontos.

Specified by:
  `getGegenkontoNummer` in interface `Transfer`
Returns:
  Kontonummer des Empfaengers.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getGegenkontoNummer()`

### getGegenkontoBLZ

public String getGegenkontoBLZ() throws RemoteException
Description copied from interface: `Transfer`
Liefert die BLZ des Gegenkontos.

Specified by:
  `getGegenkontoBLZ` in interface `Transfer`
Returns:
  BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getGegenkontoBLZ()`

### getBetrag

public double getBetrag() throws RemoteException
Description copied from interface: `Transfer`
Liefert den Betrag.

Specified by:
  `getBetrag` in interface `Transfer`
Returns:
  Betrag.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getBetrag()`

### getDatum

public Date getDatum() throws RemoteException
Description copied from interface: `Umsatz`
Liefert das Datum der Buchung.

Specified by:
  `getDatum` in interface `Umsatz`
Returns:
  Datum der Buchung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getDatum()`

### getValuta

public Date getValuta() throws RemoteException
Description copied from interface: `Umsatz`
Datum der Wert-Stellung. Das ist das Datum, ab dem der gebuchte Betrag finanzmathematisch Geltung findet. Oft stimmt der mit dem Datum der Buchung ueberein.

Specified by:
  `getValuta` in interface `Umsatz`
Returns:
  Valuta.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getValuta()`

### getZweck

public String getZweck() throws RemoteException
Description copied from interface: `Transfer`
Liefert die Zeile 1 des Verwendungszwecks.

Specified by:
  `getZweck` in interface `Transfer`
Returns:
  Zeile 1 des Verwendungszwecks.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getZweck()`

### getZweck2

public String getZweck2() throws RemoteException
Description copied from interface: `Transfer`
Liefert die Zeile 2 des Verwendungszwecks.

Specified by:
  `getZweck2` in interface `Transfer`
Returns:
  Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getZweck2()`

### setGegenkonto

public void setGegenkonto(Address e) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Setzt alle drei oben genannten Gegenkonto-Eigenschaften auf einmal.

Specified by:
  `setGegenkonto` in interface `HibiscusTransfer`
Parameters:
  `e` -
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setGegenkonto(de.willuhn.jameica.hbci.rmi.Address)`

### setGegenkontoName

public void setGegenkontoName(String name) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert den Namen des Kontoinhabers des Gegenkontos.

Specified by:
  `setGegenkontoName` in interface `HibiscusTransfer`
Parameters:
  `name` - Name des Kontoinhabers des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setGegenkontoName(java.lang.String)`

### setGegenkontoNummer

public void setGegenkontoNummer(String konto) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert die Kontonummer des Gegenkontos.

Specified by:
  `setGegenkontoNummer` in interface `HibiscusTransfer`
Parameters:
  `konto` - Kontonummer des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setGegenkontoNummer(java.lang.String)`

### setGegenkontoBLZ

public void setGegenkontoBLZ(String blz) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert die BLZ des Gegenkontos.

Specified by:
  `setGegenkontoBLZ` in interface `HibiscusTransfer`
Parameters:
  `blz` - BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setGegenkontoBLZ(java.lang.String)`

### setBetrag

public void setBetrag(double d) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert den zu ueberweisenden Betrag.

Specified by:
  `setBetrag` in interface `HibiscusTransfer`
Parameters:
  `d` - Betrag.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setBetrag(double)`

### setZweck

public void setZweck(String zweck) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert den Zweck der Ueberweisung.

Specified by:
  `setZweck` in interface `HibiscusTransfer`
Parameters:
  `zweck` - Zweck der Ueberweisung.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setZweck(java.lang.String)`

### setZweck2

public void setZweck2(String zweck2) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert Zeile 2 des Verwendungszwecks.

Specified by:
  `setZweck2` in interface `HibiscusTransfer`
Parameters:
  `zweck2` - Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setZweck2(java.lang.String)`

### setDatum

public void setDatum(Date d) throws RemoteException
Description copied from interface: `Umsatz`
Datum der Buchung.

Specified by:
  `setDatum` in interface `Umsatz`
Parameters:
  `d` -
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setDatum(java.util.Date)`

### setValuta

public void setValuta(Date d) throws RemoteException
Description copied from interface: `Umsatz`
Datum der Wertstellung.

Specified by:
  `setValuta` in interface `Umsatz`
Parameters:
  `d` -
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setValuta(java.util.Date)`

### setKonto

public void setKonto(Konto k) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert das Konto, das zur Bezahlung verwendet werden soll.

Specified by:
  `setKonto` in interface `HibiscusTransfer`
Parameters:
  `k` - Konto, das verwendet werden soll.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setKonto(de.willuhn.jameica.hbci.rmi.Konto)`

### equals

public boolean equals(de.willuhn.datasource.GenericObject o) throws RemoteException
Wir ueberschreiben die Funktion hier, weil beim Abrufen der Umsaetze nur diejenigen gespeichert werden sollen, welche noch nicht in der Datenbank existieren. Da ein Umsatz von der Bank scheinbar keinen Identifier mitbringt, muessen wir selbst einen fachlichen Vergleich durchfuehren.

Specified by:
  `equals` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Overrides:
  `equals` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.equals(de.willuhn.datasource.GenericObject)`

### getSaldo

public double getSaldo() throws RemoteException
Description copied from interface: `Umsatz`
Liefert den Saldo des Kontos nach dieser Buchung.

Specified by:
  `getSaldo` in interface `Umsatz`
Returns:
  Saldo.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getSaldo()`

### getPrimanota

public String getPrimanota() throws RemoteException
Description copied from interface: `Umsatz`
Liefert das Primanota-Kennzeichen der Buchung.

Specified by:
  `getPrimanota` in interface `Umsatz`
Returns:
  PrimaNota-Kennzeichen.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getPrimanota()`

### getArt

public String getArt() throws RemoteException
Description copied from interface: `Umsatz`
Liefert einen Text, der die Art der Buchung beschreibt.

Specified by:
  `getArt` in interface `Umsatz`
Returns:
  Art der Buchung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getArt()`

### getCustomerRef

public String getCustomerRef() throws RemoteException
Description copied from interface: `Umsatz`
Liefert die Kundenreferenz.

Specified by:
  `getCustomerRef` in interface `Umsatz`
Returns:
  Kundenreferenz.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getCustomerRef()`

### setSaldo

public void setSaldo(double s) throws RemoteException
Description copied from interface: `Umsatz`
Speichert den Saldo des Kontos nach dieser Buchung.

Specified by:
  `setSaldo` in interface `Umsatz`
Parameters:
  `s` -
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setSaldo(double)`

### setPrimanota

public void setPrimanota(String primanota) throws RemoteException
Description copied from interface: `Umsatz`
Speichert das Primanota-Kennzeichen der Buchung.

Specified by:
  `setPrimanota` in interface `Umsatz`
Parameters:
  `primanota` -
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setPrimanota(java.lang.String)`

### setArt

public void setArt(String art) throws RemoteException
Description copied from interface: `Umsatz`
Speichert einen Text, der die Art der Buchung beschreibt.

Specified by:
  `setArt` in interface `Umsatz`
Parameters:
  `art` -
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setArt(java.lang.String)`

### setCustomerRef

public void setCustomerRef(String ref) throws RemoteException
Description copied from interface: `Umsatz`
Speichert die Kundenreferenz.

Specified by:
  `setCustomerRef` in interface `Umsatz`
Parameters:
  `ref` -
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setCustomerRef(java.lang.String)`

### getChecksum

public long getChecksum() throws RemoteException
Description copied from interface: `Checksum`
Liefert die Checksumme des Objektes.

Specified by:
  `getChecksum` in interface `Checksum`
Returns:
  Checksumme.
Throws:
  `RemoteException`
See Also:
  - `Checksum.getChecksum()`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException
Ueberschrieben, um ein synthetisches Attribute "mergedzweck" zu erzeugen.

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Overrides:
  `getAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### delete

public void delete() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `delete` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `delete` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.delete()`

### getKommentar

public String getKommentar() throws RemoteException
Description copied from interface: `Umsatz`
Liefert einen optionalen Kommentar, den der User zu dem Umsatz eintragen kann.

Specified by:
  `getKommentar` in interface `Umsatz`
Returns:
  optionaler Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getKommentar()`

### setKommentar

public void setKommentar(String kommentar) throws RemoteException
Description copied from interface: `Umsatz`
Speichert einen optionalen Kommentar zu dem Umsatz.

Specified by:
  `setKommentar` in interface `Umsatz`
Parameters:
  `kommentar` - Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setKommentar(java.lang.String)`

### getUmsatzTyp

public UmsatzTyp getUmsatzTyp() throws RemoteException
Description copied from interface: `Umsatz`
Liefert einen ggf manuell zugeordneten Umsatz-Typ oder `null` wenn keiner zugeordnet ist.

Specified by:
  `getUmsatzTyp` in interface `Umsatz`
Returns:
  Umsatz-Typ.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getUmsatzTyp()`

### setUmsatzTyp

public void setUmsatzTyp(UmsatzTyp ut) throws RemoteException
Description copied from interface: `Umsatz`
Speichert einen manuell zugeordneten Umsatz-Typ.

Specified by:
  `setUmsatzTyp` in interface `Umsatz`
Parameters:
  `ut` - zugeordneter Umsatztyp oder `null` zum Entfernen der Zuordnung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setUmsatzTyp(de.willuhn.jameica.hbci.rmi.UmsatzTyp)`

### isAssigned

public boolean isAssigned() throws RemoteException
Description copied from interface: `Umsatz`
Liefert true, wenn der Umsatz einer Kategorie zugeordnet ist.

Specified by:
  `isAssigned` in interface `Umsatz`
Returns:
  true, wenn der Umsatz einer Kategorie zugeordnet ist.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.isAssigned()`

### getWeitereVerwendungszwecke

public String[] getWeitereVerwendungszwecke() throws RemoteException
Description copied from interface: `Transfer`
Liefert eine Liste erweiterter Verwendungszwecke.

Specified by:
  `getWeitereVerwendungszwecke` in interface `Transfer`
Returns:
  Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getWeitereVerwendungszwecke()`

### setWeitereVerwendungszwecke

public void setWeitereVerwendungszwecke(String[] list) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert eine Liste erweiterter Verwendungszwecke.

Specified by:
  `setWeitereVerwendungszwecke` in interface `HibiscusTransfer`
Parameters:
  `list` - Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setWeitereVerwendungszwecke(java.lang.String[])`

### getFlags

public int getFlags() throws RemoteException
Description copied from interface: `Flaggable`
Liefert ein Bit-Feld mit Flags. Ein Objekt kann mit verschiedenen Flags markiert werden. Das kann zum Beispiel "deaktiviert" sein. Damit fuer kuenftige weitere Flags nicht immer ein neues Feld zur Datenbank hinzugefuegt werden muss, verwenden wir hier ein Bitfeld. Damit koennen mehrere Flags in einem Wert codiert werden.

Specified by:
  `getFlags` in interface `Flaggable`
Returns:
  Bit-Feld mit den Flags des Objektes.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.getFlags()`

### hasFlag

public boolean hasFlag(int flag) throws RemoteException
Description copied from interface: `Flaggable`
Prueft, ob das angegebene Flag vorhanden ist.

Specified by:
  `hasFlag` in interface `Flaggable`
Parameters:
  `flag` - das zu pruefende Flag.
Returns:
  true, wenn es gesetzt ist.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.hasFlag(int)`

### setFlags

public void setFlags(int flags) throws RemoteException
Description copied from interface: `Flaggable`
Speichert die Flags einen Objektes.

Specified by:
  `setFlags` in interface `Flaggable`
Parameters:
  `flags` - die Flags in Form eines Bit-Feldes.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.setFlags(int)`

### getGvCode

public String getGvCode() throws RemoteException
Description copied from interface: `Umsatz`
Liefert den 3-stelligen Geschaeftsvorfall-Code.

Specified by:
  `getGvCode` in interface `Umsatz`
Returns:
  der 3-stellige Geschaeftsvorfall-Code.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getGvCode()`

### setGvCode

public void setGvCode(String code) throws RemoteException
Description copied from interface: `Umsatz`
Speichert den 3-stelligen Geschaeftsvorfall-Code.

Specified by:
  `setGvCode` in interface `Umsatz`
Parameters:
  `code` - der 3-stellige Geschaeftsvorfall-Code.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setGvCode(java.lang.String)`

### getAddKey

public String getAddKey() throws RemoteException
Description copied from interface: `Umsatz`
Liefert die 3-stellige Textschluessel-Ergaenzung.

Specified by:
  `getAddKey` in interface `Umsatz`
Returns:
  die 3-stellige Textschluessel-Ergaenzung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getAddKey()`

### setAddKey

public void setAddKey(String key) throws RemoteException
Description copied from interface: `Umsatz`
Speichert die 3-stellige Textschluessel-Ergaenzung.

Specified by:
  `setAddKey` in interface `Umsatz`
Parameters:
  `key` - die 3-stellige Textschluessel-Ergaenzung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setAddKey(java.lang.String)`

### duplicate

public Umsatz duplicate() throws RemoteException
Description copied from interface: `Duplicatable`
Dupliziert das Objekt.

Specified by:
  `duplicate` in interface `Duplicatable<Umsatz>`
Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`
See Also:
  - `Duplicatable.duplicate()`

### getTransactionId

public String getTransactionId() throws RemoteException
Description copied from interface: `Umsatz`
Liefert eine optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann. Die ID ist nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden. Wichtig: Hibiscus garantiert NICHT, dass die ID eindeutig ist. Weder durch Programmlogik noch durch einen Unique-Key. Denn wuerde es das tun - und es wuerde tatsaechlich zu einer doppelten ID kommen, koennte der Umsatz nicht angelegt werden. Die ID ist lediglich ein zusaetzliches Kriterium bei der Doppler-Erkennung.

Specified by:
  `getTransactionId` in interface `Umsatz`
Returns:
  optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getTransactionId()`

### setTransactionId

public void setTransactionId(String id) throws RemoteException
Description copied from interface: `Umsatz`
Speichert eine optionale Transaktions-ID, anhand derer der Umsatz eindeutig identifiziert werden kann. Wichtig: Hibiscus garantiert NICHT, dass die ID eindeutig ist. Weder durch Programmlogik noch durch einen Unique-Key. Denn wuerde es das tun - und es wuerde tatsaechlich zu einer doppelten ID kommen, koennte der Umsatz nicht angelegt werden. Die ID ist lediglich ein zusaetzliches Kriterium bei der Doppler-Erkennung.

Specified by:
  `setTransactionId` in interface `Umsatz`
Parameters:
  `id` - die eindeutige Transaktions-ID.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setTransactionId(java.lang.String)`

### getPurposeCode

public String getPurposeCode() throws RemoteException
Description copied from interface: `Umsatz`
Liefert den Purpose-Code der Buchung. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden.

Specified by:
  `getPurposeCode` in interface `Umsatz`
Returns:
  der Purpose-Code der Buchung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getPurposeCode()`

### setPurposeCode

public void setPurposeCode(String code) throws RemoteException
Description copied from interface: `Umsatz`
Speichern den Purpose-Code der Buchung.

Specified by:
  `setPurposeCode` in interface `Umsatz`
Parameters:
  `code` - der Purpose-Code der Buchung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setPurposeCode(java.lang.String)`

### getEndToEndId

public String getEndToEndId() throws RemoteException
Description copied from interface: `Umsatz`
Liefert die EndToEnd-ID der Buchung. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden.

Specified by:
  `getEndToEndId` in interface `Umsatz`
Returns:
  der EndToEnd-ID der Buchung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getEndToEndId()`

### setEndToEndId

public void setEndToEndId(String id) throws RemoteException
Description copied from interface: `Umsatz`
Speichern die EndToEnd-ID der Buchung.

Specified by:
  `setEndToEndId` in interface `Umsatz`
Parameters:
  `id` - die EndToEnd-ID der Buchung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setEndToEndId(java.lang.String)`

### getMandateId

public String getMandateId() throws RemoteException
Description copied from interface: `Umsatz`
Liefert die Mandatsreferenz der Buchung. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden.

Specified by:
  `getMandateId` in interface `Umsatz`
Returns:
  der Mandatsreferenz der Buchung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getMandateId()`

### setMandateId

public void setMandateId(String id) throws RemoteException
Description copied from interface: `Umsatz`
Speichern die Mandatsreferenz der Buchung.

Specified by:
  `setMandateId` in interface `Umsatz`
Parameters:
  `id` - die Mandatsreferenz der Buchung.
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setMandateId(java.lang.String)`

### getGegenkontoName2

public String getGegenkontoName2() throws RemoteException
Description copied from interface: `Umsatz`
Liefert den Namen des ultimativen Empfaengers. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen wurden.

Specified by:
  `getGegenkontoName2` in interface `Umsatz`
Returns:
  Name des ultimativen Empfaengers
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getGegenkontoName2()`

### setGegenkontoName2

public void setGegenkontoName2(String name) throws RemoteException
Description copied from interface: `Umsatz`
Setzt den Namen des ultimativen Empfaengers.

Specified by:
  `setGegenkontoName2` in interface `Umsatz`
Parameters:
  `name` - Name des ultimativen Empfaengers
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setGegenkontoName2(java.lang.String)`

### getCreditorId

public String getCreditorId() throws RemoteException
Description copied from interface: `Umsatz`
Liefert die Gläubiger-ID des Gegenkontos. Nur bei Umsaetzen vorhanden, die per CAMT abgerufen werden.

Specified by:
  `getCreditorId` in interface `Umsatz`
Returns:
  Gläubiger-ID des Gegenkontos
Throws:
  `RemoteException`
See Also:
  - `Umsatz.getCreditorId()`

### setCreditorId

public void setCreditorId(String name) throws RemoteException
Description copied from interface: `Umsatz`
Setzt die Gläubiger-ID des Gegenkontos.

Specified by:
  `setCreditorId` in interface `Umsatz`
Parameters:
  `name` - Gläubiger-ID des Gegenkontos
Throws:
  `RemoteException`
See Also:
  - `Umsatz.setCreditorId(java.lang.String)`